PTI(1)

NAME
pti - convert and modify PCE Tape images

SYNOPSIS
pti [options] [input-file] [options] [output-file]

DESCRIPTION
pti(1) is used to modify and convert PTI tape image files.

OPTIONS

-c, --default-clock clock
    Set the default clock used when creating new files or when loading files that don't specify a clock. The clock can be specified as an integer or as one of these:

    c16-ntsc
        The CBM C16 NTSC CPU clock (894886)

    c16-pal
        The CBM C16 PAL CPU clock (886724)

    c64-ntsc
        The CBM C64 NTSC CPU clock (1022727)

    c64-pal
        The CBM C64 PAL CPU clock (985248)

    pet The CBM PET CPU clock (1000000)

    vic20-ntsc
        The CBM VIC-20 NTSC CPU clock (1022727)

    vic20-pal
        The CBM VIC-20 PAL CPU clock (1108405)

    pc-pit
        The IBM PC PIT clock (1193182)

    pc-cpu
        The IBM PC CPU clock (4772728)

-f, --info
    Print information about the current image or the next image loaded.

-i, --input filename
    Load an image from filename.

-I, --input-format format
    Set the file format for the next input file. If this option is not used, the file format is detected automatically. Valid input formats are:

    cas A raw bit stream

    pcm Raw PCM audio

    pti PCE Tape Image

    tap C64 tape image

    txt A textual representation of a PTI image

    wav WAV PCM audio

-m, --cat filename
    Load an image from filename and add it to the end of the current image.

-o, --output filename
    Save the image to filename.

-O, --output-format format
    Set the file format for the next output file. If this option is not used, the file format is determined by the output file name. Valid output formats are:

    cas A raw bit stream

    pcm Raw PCM audio

    pti PCE Tape Image

    tap C64 tape image

    txt A textual representation of a PTI image

    wav WAV PCM audio

-p, --operation name [arg...]
    Perform an operation on the current image. Valid operations are:

    cat filename
        Load a tape image from filename and add it to the end of the current image.

    comment-add text
        Add text to the image comment.

    comment-load filename
        Load the image comment from file filename.

    comment-print
        Print the current image comment.

    comment-save filename
        Save the current image comment to filename.

    comment-set text
        Set the image comment to text.

    fix-clock clock
        Set the clock rate to clock without adjusting the image data accordingly.

    info
        Print information about the image.

    invert
        Invert the image, turning positive levels into negative levels and vice versa.

    new Create a new empty image.

    scale factor
        Scale the length of the image by factor.

    set-clock clock
        Set the clock rate to clock and adjust the image data accordingly.

    space-add-left time
        Add time seconds of silence to the beginning of the image.

    space-add-right time
        Add time seconds of silence to the end of the image.

    space-add time
        Add time seconds of silence to both the beginning and the end of the image.

    space-auto min-time
        Convert constant levels of at least min-time duration to silence.

    space-mac time
        Limit periods of silence to at most time seconds.

    space-trim-left
        Remove silence from the beginning of the image.

    space-trim-right
        Remove silence from the end of the image.

    space-trim
        Remove silence from both the beginning and the end of the image.

    trim-left time
        Remove time seconds from the beginning of the image.

    trim-right time
        Remove time seconds from the end of the image.

-s, --set par val
    Set parameter par to val.

    default-clock clock
        This sets the same parameter as the -c option.

    pcm-srate srate
        Set the sample rate used when loading and saving PCM files. The default is 44100.

    wav-bits bits
        Set the number of bits per sample when saving WAV files. The default is 16.

    wav-lowpass cutoff
        Set the cut-off frequency for the lowpass filter used when saving WAV files. A frequency of 0 turns the filter off, which is the default.

    wav-lowpass-order
        Set the filter order of the lowpass filter used when saving WAV files. The default is 4, the maximum is 16.

    wav-sine enable
        If enable is true, then the signal written to WAV files is made up of a series of sine waves. If it is false, a simple square wave is written. The default is enabled.

    wav-srate srate
        Set the sample rate used when saving WAV files. The default is 48000.

-v, --verbose
    Enable verbose operation.

--help
    Print usage information.

--version
    Print version information.

SEE ALSO
pfi(1), pri(1), psi(1)

AUTHOR
Hampa Hug <hampa@hampa.ch>